<div class="so-extraslider-contain {{direction_class}} {{ class_suffix }}">
	{% if disp_title_module %}
	<div class="modtitle">
		{% if custom_url != '' %}
			<h3><a href="{{ custom_url }}"><span>{{ head_name }}</span></a></h3>
		{% else %}
			<h3><span>{{ head_name }}</span></h3>
		{% endif %}
	</div>
	{% endif %}

	{% if pre_text|trim is not empty  %} 
		<div class="form-group">
			{{ pre_text }}
		</div>
	{% endif %}

	<div class="modcontent">
		
		{% if products is empty %}
			<div class="alert alert-info"><i class="fa fa-info-circle"></i> 
				{{ text_noproduct }}
				<button type="button" class="close" data-dismiss="alert">×</button>
			</div>

		{% else %}
			{% set count_item 	= products|length %}	
			{% set cls_btn_page =  (button_page  ==  'top') ? 'buttom-type1':'button-type2' %}	
			{% set btn_type 	=  (button_page  ==  'top') ? 'button-type1':'button-type2'%}
			
			{% set tag_id = 'so_extra_slider_'~suffix %}
			{% set class_respl = 'preset00-'~nb_column0~' preset01-'~nb_column1~' preset02-'~nb_column2~' preset03-'~nb_column3~' preset04-'~nb_column4 %}
			{% set btn_prev = (button_page == 'top') ? '&#171':'&#139' %}
			{% set btn_next = (button_page == 'top') ? '&#187':'&#155' %}
			{% set i = 0 %}

			<div id="{{tag_id}}" class="so-extraslider {{cls_btn_page}} {{class_respl}} {{btn_type}}">
				<!-- Begin extraslider-inner -->
				<div class="owl-carousel owl-theme" data-effect="{{effect}}">
					{% for i, product in products %}
						{% set i = i + 1 %}
						{% if i % nb_rows  ==  1  or  nb_rows  ==  1 %} 
						<div class="item ">
						{% endif %} 

							<div class="product-layout item-inner {{ products_style }} ">							
									<div class="item-image">
										<div class="item-img-info">
											{% if product.special  and  display_sale  %} 
												<span class="label-product label-product-sale">{# {{ objlang.get('text_sale') }} #} {{ product.discount }}</span>
											{% endif %} 

											{% if product.productNew  and  display_new  %} 
												<span class="label-product label-product-new">{{ objlang.get('text_new') }} </span>
											{% endif %} 
											<a href="{{ product.href }}" target="{{ item_link_target }}" title="{{ product.nameFull }} "  >
												
												{% if product_image_num ==2 %}
													<img data-sizes="auto" src="data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==" data-src="{{ product.thumb }}" class="img-thumb1 lazyload" alt="{{ product.nameFull }}">
													<img data-sizes="auto" src="data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==" data-src="{{ product.thumb2 }}" class="img-thumb2 lazyload" alt="{{ product.nameFull }}">
												{% else %}
													<img data-sizes="auto" src="data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==" data-src="{{ product.thumb }}" alt="{{ product.nameFull }}" class="lazyload">
												{% endif %}
												
											</a>
										</div>
										
									</div>

									{% if display_title   or  display_description  or  display_price    or  display_addtocart  or  display_wishlist  or  display_compare  %} 
										<div class="item-info">
											
											{% if display_title %} 
												<div class="item-title">
													<a href="{{ product.href }}" target="{{ item_link_target }}" title="{{ product.nameFull }}"  >
														{{ product.name }} 
													</a>
												</div>
											{% endif %} 

											{% if display_rating %}
												{% if product.rating %}
													<div class="rating">
														{% for k in 1..5 %}
															
															{% if product.rating < k %} 
																<span class="fa fa-stack"><i class="fa fa-star-o fa-stack-2x"></i></span>
														 	{% else %}   
																<span class="fa fa-stack"><i class="fa fa-star fa-stack-2x"></i></span>
															{% endif %} 
															{% set k = k + 1 %}
														{% endfor %} 
													</div>
												{% else %}  
												<div class="rating">
													{% for j in 1..5 %}
														{% set j = j + 1 %}
														<span class="fa fa-stack"><i class="fa fa-star-o fa-stack-2x"></i></span>
													{% endfor %} 
													
												</div>
												{% endif %}	
											{% endif %}		

											{% if display_price %} 
												<div  class="content_price price">
													{% if not product.special %} 
														<span class="price product-price">
															{{ product.price }} 
														</span>
													{% else %}   
														<span class="price-new product-price">{{ product.special }} </span><br />
														<span class="price-old">{{ product.price }} </span><span class="text_off">{{ product.discount }} {{ objlang.get('text_off') }}</span>
													{% endif %} 
													
												</div>
											{% endif %} 

											
											{% if display_description or display_addtocart  or  display_wishlist  or  display_compare  %} 
												<!-- Begin item-content -->
												<div class="item-content">
													{% if display_description %} 
														<div class="item-des">
															{{ product.description }} 
														</div>
													{% endif %} 

													{% if display_addtocart  or  display_wishlist  or  display_compare %} 
														<div class="button-group">
															{% if display_addtocart  %} 
															<button type="button" class="addToCart btn-button" title="{{ objlang.get('button_cart') }}" onclick="cart.add('{{ product.product_id }}');"><i class="fa fa-shopping-basket"></i>
																{% if nb_column0  !=  6 %} 
																<span>{{ objlang.get('button_cart') }} </span>
																{% endif %} 
															</button>
															{% endif %} 
															<div class="so-quickview">
																<a class="hidden" data-product='{{ product.product_id }}' href="{{ product.href }}" target="{{ item_link_target }}" ></a>
															</div>
															{% if display_wishlist  %} 
															<button type="button" class="wishlist btn-button" title="{{ objlang.get('button_wishlist') }} " onclick="wishlist.add('{{ product.product_id }}');"><i class="fa fa-heart"></i></button>
															{% endif %} 
															{% if display_compare %} 
															<button type="button" class="compare btn-button" title="{{ objlang.get('button_compare') }} " onclick="compare.add('{{ product.product_id }}');"><i class="fa fa-refresh"></i></button>
															{% endif %} 
													
														</div>
													{% endif %} 

												</div>
												<!-- End item-content -->
											{% endif %} 
										</div>
										<!-- End item-info -->
									{% endif %} 
								
								<!-- End item-wrap-inner -->
							</div>
							<!-- End item-wrap -->

						{% if i % nb_rows  ==  0  or  i  ==  count_item %} 
						</div>
						{% endif %} 

					{% endfor %}	 
				</div>
				<!--End extraslider-inner -->

			</div>
		{% endif %}
	
	</div> 
	{% if post_text|trim is not empty  %} 
		<div class="form-group">
			{{ post_text  }}
		</div>
	{% endif %}

</div>

<script type="text/javascript">

//Alternate Direction
jQuery(document).ready(function ($) {
    var owl = $('.owl-carousel');

	
    owl.owlCarousel({
        rtl: {{ direction}},
        margin: {{ margin }},
        autoplay: {{ autoplay }},
		slideBy: {{ slideBy }},
        slideTransition: 'linear',
		autoplayHoverPause: {{ autoplayHoverPause  }},
		autoplayTimeout: {{ autoplayTimeout }} ,
		autoplaySpeed: {{ autoplaySpeed }} ,
		startPosition: {{ startPosition }} ,
		mouseDrag: {{ mouseDrag }},
		touchDrag: {{ touchDrag }} ,		
        autoWidth: false,
		responsive: {
			0: 	{ items: {{ nb_column4 }} } ,
			480: { items: {{ nb_column3 }} },
			768: { items: {{ nb_column2 }} },
			992: { items: {{ nb_column1 }} },
			1200: {items: {{ nb_column0 }}}
		},		
		dotClass: "owl2-dot",
		dotsClass: "owl2-dots",
		dots: {{ dots }} ,
		dotsSpeed:{{ dotsSpeed }} ,
		nav: {{ nav }} ,
		loop: {{ loop }} ,
		navSpeed: {{ navSpeed }} ,
		navText: ["{{ btn_prev }} ", "{{ btn_next }} "],
		navClass: ["owl-prev", "owl-next"]
    });

});

</script>